Subject: Re: Module For Intercepting Fully Constructed IPv6 Packets

From: Andi Kleen <[email-masked]>
Date: Mon, 04 May 2009 10:57:27 +0200

Matthew Jakeman <[email-masked]> writes:

> I am pondering attempting to write a module that will allow me to
> intercept an IPv6 packet once it has been fully constructed (so just
> before it gets passed to the output interface). The point of this is
> so that I can play around with the packets construction however I
> please to try out a few things.

You need a netfilter module on the OUTPUT chain.  For further
questions on that please ask the netfilter mailing list.

-Andi

-- 
[email-masked] -- Speaking for myself only.